Package org.apache.sysds.runtime.io.hdf5

# Class H5Constants

java.lang.Object
org.apache.sysds.runtime.io.hdf5.H5Constants

public final class H5Constants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ATTRIBUTE_MESSAGE`
`static final int`
`DATA_LAYOUT_MESSAGE`
`static final int`
`DATA_SPACE_MESSAGE`
`static final int`
`DATA_TYPE_MESSAGE`
`static final int`
`FILL_VALUE_MESSAGE`
`static final int`
`FILTER_PIPELINE_MESSAGE`
`static final int`
`NIL_MESSAGE`
`static final byte`
`NULL`
`static final int`
`OBJECT_MODIFICATION_TIME_MESSAGE`
`static final int`
`STATIC_HEADER_SIZE`
`static final int`
`SYMBOL_TABLE_MESSAGE`
`static final long`
`UNDEFINED_ADDRESS`

## Constructor Summary

Constructors
Constructor
Description
`H5Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NULL

public static final byte NULL

See Also:
  - Constant Field Values

### UNDEFINED_ADDRESS

public static final long UNDEFINED_ADDRESS

See Also:
  - Constant Field Values

### STATIC_HEADER_SIZE

public static final int STATIC_HEADER_SIZE

See Also:
  - Constant Field Values

### NIL_MESSAGE

public static final int NIL_MESSAGE

See Also:
  - Constant Field Values

### DATA_SPACE_MESSAGE

public static final int DATA_SPACE_MESSAGE

See Also:
  - Constant Field Values

### DATA_TYPE_MESSAGE

public static final int DATA_TYPE_MESSAGE

See Also:
  - Constant Field Values

### FILL_VALUE_MESSAGE

public static final int FILL_VALUE_MESSAGE

See Also:
  - Constant Field Values

### DATA_LAYOUT_MESSAGE

public static final int DATA_LAYOUT_MESSAGE

See Also:
  - Constant Field Values

### SYMBOL_TABLE_MESSAGE

public static final int SYMBOL_TABLE_MESSAGE

See Also:
  - Constant Field Values

### OBJECT_MODIFICATION_TIME_MESSAGE

public static final int OBJECT_MODIFICATION_TIME_MESSAGE

See Also:
  - Constant Field Values

### FILTER_PIPELINE_MESSAGE

public static final int FILTER_PIPELINE_MESSAGE

See Also:
  - Constant Field Values

### ATTRIBUTE_MESSAGE

public static final int ATTRIBUTE_MESSAGE

See Also:
  - Constant Field Values

## Constructor Details

### H5Constants

public H5Constants()